/*

Installation Script for Material Toolbox

based on the excellent installation script for the Outliner by PJanssen
http://www.scriptspot.com/users/pjanssen

*/


rollout installSucessRollout "MaterialToolbox v1.0 Installed" width:358 height:181
(
	button closeBtn "Close" pos:[31,129] width:287 height:30
	label lbl1 "MaterialToolbox v1.0 was installed sucessfully. Look for it in the macroscript category 'LittleScripts'" pos:[34,10] width:290 height:46 style_sunkenedge:false
	--label lbl2 "NOTE: Requires the FBX 2011.3.1 plugin \nto be installed for 3ds Max " pos:[53,56] width:250 height:30 style_sunkenedge:true
	--HyperLink autodeskFBXLink "Download FBX 2011.3.1" pos:[121,98] width:116 height:15 address:"http://usa.autodesk.com/adsk/servlet/pc/item?siteID=123112&id=16126683" color:[59,149,202] hovercolor:(color 0 0 255) visitedcolor:[59,149,202]

	---------------- EVENT HANDLERS ------------------------
	

	on closeBtn pressed do
	(
		try(destroyDialog installSucessRollout)
		catch()
	)
)

rollout deleteOrInstallRollout "MaterialToolbox 1.0 installation" width:296 height:136
(
	label titleLabel "MaterialToolbox 1.0" pos:[96,8] width:96 height:32
	label descriptionLabel "This script will install/uninstall MaterialToolbox. Any previous installation will be removed automatically." pos:[16,45] width:264 height:40
	
	button installBtn "Install" pos:[16,93] width:70 height:25
	button uninstallBtn "Uninstall" pos:[112,93] width:70 height:25
	button closeBtn "Close" pos:[208,93] width:70 height:25
	
	---------------- EVENT HANDLERS ------------------------
	
	on closeBtn pressed do
	(
		try(destroyDialog deleteOrInstallRollout)
		catch()
	)
	
	on installBtn pressed do
	(
		
		result = makeDir (GetDir #scripts + "\\LittleScripts\\icons") all:true 
		
		if result == false then
		(
			messageBox ("Could not create directory" + (GetDir #scripts + "\\LittleScripts\\icons"))
			return()
		)
		
		sourceArray = #()
		destinationArray = #()
		
		sourceScript = (GetDir #scripts + "\\MZPFiles\\MaterialToolbox.ms")
		destinationScript = (GetDir #scripts + "\\LittleScripts\\MaterialToolbox.ms")
	
		sourceMacro = (GetDir #scripts + "\\MZPFiles\\MaterialToolbox.mcr")
		destinationMacro = (GetDir #userMacros + "\\MaterialToolbox.mcr")
		
		sourceBanner = (GetDir #scripts + "\\MZPFiles\\MaterialToolbox_Banner.bmp")
		destinationBanner = (GetDir #scripts + "\\LittleScripts\\icons\\MaterialToolbox_Banner.bmp")
			
		sourceIcon01 = (GetDir #scripts + "\\MZPFiles\\MaterialToolbox_16a.bmp")
		destinationIcon01 = (GetDir #userIcons + "\\MaterialToolbox_16a.bmp")
		
		sourceIcon02 = (GetDir #scripts + "\\MZPFiles\\MaterialToolbox_16i.bmp")
		destinationIcon02 = (GetDir #userIcons + "\\MaterialToolbox_16i.bmp")
		
		sourceIcon03 = (GetDir #scripts + "\\MZPFiles\\MaterialToolbox_24a.bmp")
		destinationIcon03 = (GetDir #userIcons + "\\MaterialToolbox_24a.bmp")
		
		sourceIcon04 = (GetDir #scripts + "\\MZPFiles\\MaterialToolbox_24i.bmp")
		destinationIcon04 = (GetDir #userIcons + "\\MaterialToolbox_24i.bmp")
		
		sourceArray = #(sourceScript,sourceMacro,sourceBanner,sourceIcon01,sourceIcon02,sourceIcon03,sourceIcon04)
		destinationArray = #(destinationScript,destinationMacro,destinationBanner,destinationIcon01,destinationIcon02,destinationIcon03,destinationIcon04)
		
		
		for i=1 to sourceArray.count do
		(
			try
			(
				if doesFileExist destinationArray[i] then deleteFile destinationArray[i]
				
				copyFile sourceArray[i] destinationArray[i]
				
				print ("Installed " + destinationArray[i])
			)
			catch print ("Couldn't install " + destinationArray[i])
		)
		
		runMacroScript = fileIn destinationMacro
		if runMacroScript != undefined then
		(
			
			try(destroyDialog deleteOrInstallRollout)
			catch()
			
			successDialog = createDialog installSucessRollout
		)
		
	)
	
	
	
	on uninstallBtn pressed do
	(
		
		fileArray =#()
		
		delIcon01 = (GetDir #userIcons + "\\MaterialToolbox_16a.bmp")
		append fileArray delIcon01
		
		delIcon02 = (GetDir #userIcons + "\\MaterialToolbox_16i.bmp")
		append fileArray delIcon02
		
		delIcon03 = (GetDir #userIcons + "\\MaterialToolbox_24a.bmp")
		append fileArray delIcon03
		
		delIcon04 = (GetDir #userIcons + "\\MaterialToolbox_24i.bmp")
		append fileArray delIcon04
		
		delRolloutBanner = (GetDir #scripts + "\\LittleScripts\\icons\\MaterialToolbox_Banner.bmp")
		append fileArray delRolloutBanner
		
		delScript = (GetDir #scripts + "\\LittleScripts\\MaterialToolbox.ms")
		append fileArray delScript
		
		delMacro = (GetDir #userMacros + "\\MaterialToolbox.mcr")
		append fileArray delMacro
		
		
		for file in fileArray do
		(
			if doesfileExist file then
			(
				try
				(
					deleteFile file
					print ("Deleted " + file)
				)
				catch
				(
					print ("failed to delete " + file)
				)
			)
		)
		
		print "Finished Uninstalling MaterialToolbox"
		
		colorman.reInitIcons()
		
		try(destroyDialog deleteOrInstallRollout)
		catch()
		
		messageBox "MaterialToolbox Uninstalled Sucessfully" title:"Uninstall Complete" beep:false
	)
	
) -- end of rollout



deleteOrInstallDialog = createDialog deleteOrInstallRollout


